Request

Response

    GET

    /exports/:exportId

    Get details for a specific export.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/insights/v1/exports/:exportId
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    exportId
    string
    Export request ID.

    Response

    HTTP Status Code Summary

    200
    OK
    Request succeeded.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    id
    string
    Uniquely identifies this export.
    timestamp
    string (date-time)
    Date/time (UTC) at which this export was created.
    teamId
    string
    Unique identifier for the team associated with this export.
    teamName
    string
    Name of the team associated with this export.
    downloads
    array
    If this export has completed, this section provides the location(s) from which the exported data can be downloaded. Some export types produce multiple downloads.
    downloads.downloads[i].type
    enum:string
    Reports that can be requested when submitting an export request. Possible values: SUBSCRIPTIONS, USERS, GROUPS, USAGE, USAGE_REPORT
    downloads.downloads[i].downloadURL
    string
    URL from which the exported data can be downloaded. Note that this URL is transient and will expire after a few minutes.
    status
    enum:string
    SUBMITTED is a transitional/in-progress state, the others are permanent (i.e. a request can go from SUBMITTED to COMPLETED or from SUBMITTED to ERROR, but never from COMPLETED/ERROR to anything else). Possible values: SUBMITTED, COMPLETED, EXPIRED, ERROR
    outputFormat
    enum:string
    Output format that will be used for files produced by this export. Possible values: CSV, EXCEL, JSON
    reports
    array
    The reports that were requested when this export was created.

    Example

    Successful getting an export schedule. (200)

    Request

    curl  -X GET \
          'https://developer.api.autodesk.com/insights/v1/exports/064324c4-2fe6-4fe3-91e8-8aacb22b1376' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N'
    

    Response

    {
          "id": "064324c4-2fe6-4fe3-91e8-8aacb22b1376",
          "timestamp": "2021-11-03T22:10:56Z",
          "downloads": [{
                  "type": "SUBSCRIPTIONS",
                  "downloadURL": "https://presigned-url..."
          }],
          "status": "COMPLETED",
          "outputFormat": "EXCEL",
          "teamId": null,
          "teamName": null,
          "reports": [
                  "SUBSCRIPTIONS"
          ]
    }
    
    Show More

    Example

    Successful getting an export schedule. (200)

    Request

    curl  -X GET \
          'https://developer.api.autodesk.com/insights/v1/exports/8c552f36-fa56-48dd-aec8-dbbce7579c91' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N'
    

    Response

    {
          "id": "064324c4-2fe6-4fe3-91e8-8aacb22b1376",
          "timestamp": "2021-11-03T22:10:56Z",
          "downloads": [{
                  "type": "USAGE_REPORT",
                  "downloadURL": "https://presigned-url..."
          }],
          "status": "COMPLETED",
          "outputFormat": "EXCEL",
          "teamId": null,
          "teamName": null,
          "reports": [
                  "USAGE_REPORT"
          ],
      "teamId": null
    }
    
    Show More

    Example

    Unauthorized. (401)

    Request

    curl  -X POST \
          'https://developer.api.autodesk.com/insights/v1/exports/requests' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N' \
          -d '{
          "exportId": "someID"
          }'
    

    Response

    {
      "developerMessage": "Access token provided is invalid or expired.",
      "moreInfo": "https://forge.autodesk.com/en/docs/oauth/v2/developers_guide/error_handling/",
      "errorCode": "AUTH-006"
    }